Subject: Re: bug#57752: 28.1.91; emacsclient-mail.desktop doesn't work for me

From: Robert Pluim <[email-masked]>
Date: Sun, 18 Sep 2022 15:58:34 +0200

>>>>> On Fri, 16 Sep 2022 20:04:25 +0000, Gregory Heytings <[email-masked]> said:

    Gregory> Okay, now I see what you mean, you want to be able to pass an array of
    Gregory> strings/arguments to Elisp.  Then I think that the cleanest/most
    Gregory> flexible way to do that would be

    Gregory> --setq VAR VAL ... --

    Gregory> (note the final double hyphen) defined as having the effect of (setq
    Gregory> VAR (list "VAL" ...)).  That would allow zero, one or more arguments.

That sounds good, although it should not be called '--setq', to avoid
people opening bugs saying "I did --setq indent-tabs-mode nil -- and
itʼs still 't'". --let or --bind or ....?

Robert
--